Name:		jiprof
Version:	1.1.1
Release:	%mkrel 2
Summary:	Java Interactive Profiler
Group:		Development/Java
URL:		http://jiprof.sourceforge.net
Source:		http://downloads.sourceforge.net/project/jiprof/jip/%{version}/jip-src-%{version}.zip
License:	BSD
BuildRequires:	ant
BuildRequires:	asm2
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	xerces-j2
Requires:	jpackage-utils
Requires:	xerces-j2
BuildArch:	noarch

%description
JIP is a high performance, low overhead profiler that is written entirely in Java.
JIP gives the developer the ability to turn the profiler on and off while the
VM is running. You can also filter out classes and packages as well as control the
output.

%package	javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
The Java Interactive Profiler.

This package contains javadoc for %{name}

%package	manual
Group:		Development/Java
Summary:	Manual for %{name}

%description manual
The Java Interactive Profiler.

This package contains manual for %{name}

%prep
%setup -q -c %{name}-%{version}

for j in $(find -name "*.jar"); do
  mv $j  $j.no
done

for file in src/com/mentorgen/tools/profile/instrument/PerfMethodAdapter.java \
	src/org/objectweb/asm/jip/attrs/StackMapTableAttribute.java; do \
	native2ascii -encoding UTF8 $file $file
done

%build
export CLASSPATH=$(build-classpath junit asm2/asm2 asm2/asm2-attrs asm2/asm2-commons xerces-j2):bin
ant dist

%install
mkdir -p %{buildroot}%{_javadir}/jiprof

install -pm 644 client/client.jar %{buildroot}%{_javadir}/jiprof/client-%{version}.jar
install -pm 644 profile/profile.jar %{buildroot}%{_javadir}/jiprof/profile-%{version}.jar
install -pm 644 profile/jipViewer.jar %{buildroot}%{_javadir}/jiprof/jipViewer-%{version}.jar

(
  cd %{buildroot}%{_javadir}/jiprof
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jiprof-%{version}
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/jiprof-%{version}
ln -s jiprof-%{version} %{buildroot}%{_javadocdir}/jiprof
rm -rf doc/javadoc

%files
%dir %{_javadir}/jiprof
%{_javadir}/jiprof/client-%{version}.jar
%{_javadir}/jiprof/client.jar
%{_javadir}/jiprof/profile-%{version}.jar
%{_javadir}/jiprof/profile.jar
%{_javadir}/jiprof/jipViewer-%{version}.jar
%{_javadir}/jiprof/jipViewer.jar
%doc doc/license.txt

%files javadoc
%{_javadocdir}/jiprof-%{version}
%{_javadocdir}/jiprof

%files manual
%doc doc/*


%changelog

* Tue Jan 15 2013 sander85 <sander85> 1.1.1-2.mga3
+ Revision: 388423
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 27 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 129965
- Clean spec file

* Fri Jun 10 2011 gil <gil> 1.1.1-0.mga2
+ Revision: 102878
- imported package jiprof

